(function ($, Drupal, drupalSettings) {
    Drupal.behaviors.chartbehavior = {
        attached_chart: false,
        attach: function (context, settings) {
            if (!this.attached_chart) {
                var dataplot = drupalSettings.piedata;
                var ctx = document.getElementById('chart').getContext('2d');
                if ($(context).find('myChart') !=null) {
                    var myChart = new Chart(
                        ctx, {
                            type: 'pie',
                            data: {
                                labels: ['OK', 'Not Ok'],
                                datasets: [{
                                    label: 'number of criteria analised',
                                    data: dataplot,
                                    backgroundColor: [
                                    'green',
                                    '#f8d9d8'
                                    ],
                                    borderColor: [
                                    'rgba(73, 192, 11, 0.88)',
                                    '#f8d9d8'
                                    ],
                                    borderWidth: 1
                                }]
                            },
                            options: {
                                responsive: true,
                                maintainAspectRatio: false,
                                plugins: {
                                    legend: {
                                        position: 'top',
                                    },
                                    title: {
                                        display: true,
                                        text: 'Number of criteria accomplished or not in Security Review module'
                                    }
                                }
                            },
                        }
                    );
                }
                this.attached_chart = true;
            };
        },
    };
})(jQuery, Drupal, drupalSettings);
