(function ($, Drupal, drupalSettings) {
    Drupal.behaviors.gaugebehavior = {
        attached: false,
        attach: function (context, settings) {
            if (!this.attached) {
                var datagauge = drupalSettings.gaugedata;
                var ctx_gauge = document.getElementById('gauge').getContext('2d');
                const color = {
                    A: "rgb(120, 247, 126)",
                    B : "#bcd391",
                    C : "#bdba02",
                    D : "#b46c28",
                    E: "#bd1f03",
                    F : "#831400"
                }
                if ($(context).find('myChart2') !=null) {
                    var myChart2 = new Chart(
                        ctx_gauge, {
                            type: 'doughnut',
                            data: {
                                labels: ['Security Rating of the website is '.concat(datagauge[6][1]),''],
                                datasets: [{
                                    data: [datagauge[6][0], 100-datagauge[6][0]],
                                    borderWidth: 1,
                                    backgroundColor: [color[datagauge[6][1]], "#F7F7F7"],
                                }]
                            },
                            options: {
                                rotation: 270, // start angle in degrees
                                circumference: 180, // sweep angle in degrees
                                responsive: false,
                                maintainAspectRatio: false,
                                plugins: {
                                    legend: {
                                        display: false, // Set to false to hide dataset labels in the legend
                                    },
                                    tooltips: {
                                        enabled: false,
                                    }
                                },
                                position: 'left',
                            },
                        }
                    );
                }
                this.attached = true;
            };
        },
    };
})(jQuery, Drupal, drupalSettings);
